import { Initializer, DeepPartial } from '@azure-tools/codegen';
import { Namespace } from './namespace';
export declare class Project extends Initializer {
    private namespaces;
    constructor(objectInitializer?: DeepPartial<Project>);
    addNamespace(n: Namespace): Namespace;
    init(): Promise<this>;
    writeFiles(writer: (filename: string, content: string) => Promise<void>): Promise<void>;
}
//# sourceMappingURL=project.d.ts.map